Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.bean.spring
Class SpringBeanFactory

    java.lang.Object
      org.jini.rio.bean.BeanFactory
          org.jini.rio.bean.spring.SpringBeanFactory

All Implemented Interfaces:
  ServiceBeanFactory

    public class SpringBeanFactory

extends BeanFactory

Instantiates a Plain Old Java Object (POJO) using Spring, providing support for remote invocations and administration by adapting the POJO into the framework using the Spring framework.

Declaring this bean factory is done as follows:

     <Configuration>
         <Component Name="service.load">
             <Parameter Name="serviceBeanFactory"
                        Value="new org.jini.rio.bean.spring.SpringBeanFactory()"/>
         </Component>
     </Configuration>

See Also:
  `ServiceBeanFactory`, `BeanFactory`

Nested Class Summary

Nested classes/interfaces inherited from interface org.jini.rio.core.jsb.ServiceBeanFactory
`ServiceBeanFactory.Created`

Constructor Summary
`SpringBeanFactory()`

Method Summary
`protected Object` | `getBean(ServiceBeanContext context)` Get the bean object

Methods inherited from class org.jini.rio.bean.BeanFactory
`create, getPlatformDLJars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringBeanFactory

    public SpringBeanFactory()

Method Detail

### getBean

    protected Object getBean(ServiceBeanContext context)
                      throws Exception

  Get the bean object

  Overrides:
    `getBean` in class `BeanFactory`
  Parameters:
    `context` - The context used to obtain details on what to load
  Returns:
    The loaded bean
  Throws:
    `Exception` - If there are errors loading the bean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.